\documentclass[reprint,twocolumn,superscriptaddress,showpacs,nofootinbib,notitlepage]{revtex4-2}

\usepackage{graphicx}
\usepackage{latexsym,amsmath,amssymb,lmodern,float,url}
\usepackage{natbib}
\usepackage{xcolor}
\usepackage{microtype}
\usepackage{comment}

\usepackage[colorlinks=true,backref=false, linktocpage=true,
citecolor=blue,urlcolor=blue,linkcolor=blue,pdfpagemode=UseOutlines]{hyperref}

\def\Re{\operatorname{{Re}}}
\def\Im{\operatorname{{Im}}}
\def\Tr{\operatorname{{Tr}}}

\newcommand{\todo}{\colorbox{pink}{\textsc{Todo}}}

\begin{document}
\title{\todo}

\author{Scott Lawrence}
\email{scott.lawrence-1@colorado.edu}
\affiliation{Department of Physics, University of Colorado, Boulder, CO 80309, USA}
\date{\today}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{abstract}
\todo
\end{abstract}

\maketitle

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Introduction}

Monte Carlo methods, in the framework of lattice field theory, are often the only technique available for nonperturbative computations of expectation values in quantum field theories. The problem with lattice field theory~\cite{troyer2005computational}.

\todo Bootstrap background ~\cite{Han:2020bkb,Berenstein:2021dyf,Berenstein:2021loy}

\todo Conformal~\cite{Kos:2016ysd,Simmons-Duffin:2015qma,Rattazzi:2008pe} (see~\cite{Poland:2018epd} for a review of these methods). \todo S-matrix~\cite{chew1961s,He:2018uxa,Caron-Huot:2020cmc}.

\todo~\cite{barthel2012solving,Lawrence:2021msm}

\todo~cite NPA
\cite{navascues2007bounding,navascues2008convergent}

\todo~sketch sections

All code used for this paper is available online~\cite{code}. SDPs are solved using the MOSEK toolkit~\cite{mosek}.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Algorithm}
\todo semi-definite programs

\todo construction of a semi-definite program

\todo lower bound, and rewriting the Hamiltonian

Typical computational methods (e.g.~lattice Monte Carlo methods) arrive at the infinite-volume limit by performing calculations at a sequence of finite volumes and then extrapolating to obtain the infinite-volume result. As discussed in~\cite{Lawrence:2021msm}, because SDP-based methods work directly with operators and make no reference to the Hilbert space itself, it is natural to perform calculations directly in the infinite-volume limit. \todo

\todo Greedily selecting operators

\todo Eligible operators

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Free Theories}
In this section we consider the performance of the SDP-based methods described above in their application to free theories; that is, theories in which the Hamiltonian can be written as a sum of uncoupled Hamiltonians over individual modes:
\begin{equation}
H_{\mathrm{free}} = \sum_k H_k
\end{equation}
where $[H_k,H_{k'}]=0$. Typically, a single mode can be solved by an SDP of finite size---this is true for both free fermions and free scalar particles. In all cases, the size of SDP needed to solve a single mode is independent of the size of the whole system. As a result, the dimension $D$ of SDP required to solve a system of physical size $V$ is $D = a V$, with the constant $a$ depending only on the theory.

For concreteness, consider free scalar field theory on a lattice in $1$ spatial dimensions. (The remaining discussion applies just as easily to free fermionic fields on the lattice, or to other spatial dimensions.) The Hamiltonian is typically expressed in terms of field and conjugate momentum operators at each site:
\begin{equation}\label{eq:H_free_scalar}
H = \sum_x \Big[\frac 1 2 \pi(x)^2 + \frac{m^2}{2} \phi(x)^2\Big] + \sum_{\langle x y \rangle} \frac 1 2 \big[\phi(x) - \phi(y)\big]^2
\end{equation}
Here $m$ is the mass of the scalar field, operators at different sites commute, and operators at the same site obey the canonical commutation relations. The first sum is taken over all sites $x$, and the second over all ordered pairs of adjacent sites $(x,y)$. The same theory may be re-written in terms of creation and annihilation operators for each momentum mode, yielding
\begin{align}
H &= \sum_k \omega_k a^\dagger_k a_k\text{,}\\
&\text{where } a_k = \frac 1 {\sqrt 2 L} \sum_x e^{-ikx} \big[\sqrt{\omega_k}\phi(x) + \frac{i}{\sqrt{\omega_k}}\pi(x)\big]\nonumber\\
&\text{and } \omega_k = m^2 + 2 (1 - \cos k)
\text.\nonumber
\end{align}

Any individual momentum mode is exactly solved by the SDP constructed from the basis of operators $\{a_k,a^\dagger_k\}$. For an infinite lattice, no finite basis of operators, constructed from the operators $\phi,\pi,a,a^\dagger$, yields an SDP that exactly solves the entire system. Therefore, the infinite-volume limit must be obtained from a sequence of finite SDPs, and the rate of convergence of those SDPs will determine the performance of the method.

The two definitions of the Hamiltonian given above suggest two different hierarchies of SDPs, corresponding to working either in position or in momentum space.

%The first is obtained by picking some set of $N$ momenta, and including the creation and annihilation operators for each. \todo in what order. The second truncation instead works in position space, taking $\phi(x)$ and $\pi(x)$ for all sites $x \in [0,L-1]$. The latter truncation is more often used in computations, while the simplicity of the former in the context of a free theory makes it easy to analyze. Fortunately, with the assumption of translational invariance (which corresponds to a set of linear constraints on expectation values), the two truncations are equivalent: with $N=L$, the $2N$ operators in one are linear combinations of the $2L$ operators in the other. \todo is this true?

Every finite truncation gives a lower bound on the ground state energy density; as the basis of operators is expanded, the bounds tighten. \todo

\todo expectation values

In many lattice systems, the continuum limit is also of interest---this is the case for all models considered in this work. \todo

\todo summarize

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Scalar Field Theory}
\begin{widetext}
\begin{equation}\label{eq:H_scalar}
H_{\mathrm{scalar}} = \sum_x \Big[\frac 1 2 \pi(x)^2 + \frac{m^2}{2} \phi(x)^2 + \lambda \phi(x)^4\Big] + \sum_{\langle x y \rangle} \frac 1 2 \big[\phi(x) - \phi(y)\big]^2
\end{equation}
\end{widetext}
\todo

\begin{figure*}
\todo
\hfil
\todo
\caption{\todo\label{fig:scalar}}
\end{figure*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Thirring Model}
The Thirring model is one of many afflicted by the fermion sign problem. Variants of this model have long been used as testbeds for methods to tackle sign problems~\cite{Alexandru:2015xva,Alexandru:2015sua,Alexandru:2017czx,Alexandru:2018fqp,Aarts:2008rr,Fujii:2015vha,Pawlowski:2013pje}. This section is in keeping with that tradition.

A lattice Thirring model with staggered fermions is defined by the Hamiltonian
\begin{widetext}
\begin{equation}\label{eq:H_Thirring}
H_{\mathrm{Thirring}} = \sum_x \left[(-1)^x m c^\dag(x) c(x) + \mu c^\dag(x) c(x)\right] + \sum_{\langle x y\rangle} \Big[(-1)^x \frac{c^\dag(x) c(y) + c^\dag(y) c(x)}{2} - g^2 c(x) c^\dag(x) c^\dag(y) c(y)\Big]\text.
\end{equation}
\end{widetext}
Here the operators \todo. The lattice parameters $m$, $\mu$, and $g^2$ are the mass, chemical potential, and coupling respectively.

\todo describe truncation

\begin{figure*}
\todo
\hfil
\todo
\caption{\todo\label{fig:thirring-results}}
\end{figure*}

\begin{figure}
\todo
\caption{\todo\label{fig:thirring-scaling}}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Discussion}
\todo performance of other methods

\todo

\todo numerical instabilities did not appear

\begin{acknowledgments}
I am grateful to Paulo Bedaque and Paul Romatschke for many useful conversations over the course of this work.

This material is based upon work supported by the U.S. Department of Energy, Office of Science, Office of Nuclear Physics program under Award Number DE-SC-0017905.
\end{acknowledgments}
\bibliographystyle{apsrev4-2}
\bibliography{References}
\end{document}

